package com.chelvc.cloud.maintain.controller;

import java.util.List;

import com.chelvc.cloud.vehicle.client.CarouselImagesClient;
import com.chelvc.cloud.vehicle.client.dto.CarouselImagesDTO;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import com.chelvc.framework.security.annotation.Authorize;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 轮播图接口
 *
 * @author liude
 * @date 2023/12/20
 */
@Validated
@RestController
@ResponseWrapping
@Authorize(enabled = false)
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CarouselImagesController {
    private final CarouselImagesClient carouselImagesClient;

    /**
     * 轮播图列表查询
     *
     * @param
     */
    @GetMapping("/listCarouselImages/")
    public List<CarouselImagesDTO> listCarouselImages() {
        return this.carouselImagesClient.listCarouselImages();
    }
}
