package com.chelvc.cloud.maintain.controller;

import java.util.List;

import com.chelvc.cloud.vehicle.client.CommonClient;
import com.chelvc.cloud.vehicle.client.dto.RegionDTO;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 公共口
 */
@Validated
@RestController
@RequestMapping("/common")
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CommonController {
    private final CommonClient commonClient;

    /**
     * 根据上级id查询省市区
     *
     * @param pid 不传默认查询第一级
     * @author igl
     * @date 2024/2/26 16:12
     */
    @GetMapping("/region/query")
    public List<RegionDTO> getRegionByPid(Integer pid) {
        return this.commonClient.getRegionByPid(pid);
    }


    /**
     * 根据等级查询省市区
     *
     * @param level 不传默认查询0
     * @author 刘德
     * @date 2024/6/26 16:12
     */
    @GetMapping("/region/queryByLevel")
    public List<RegionDTO> getRegionByLevel(Integer level) {
        return this.commonClient.getRegionByLevel(level);
    }

}
